<?php

namespace Test\Test\Policies;

use Litepie\User\Contracts\UserPolicy;
use Test\Test\Models\Jobs2018;

class Jobs2018Policy
{

    /**
     * Determine if the given user can view the jobs2018.
     *
     * @param UserPolicy $user
     * @param Jobs2018 $jobs2018
     *
     * @return bool
     */
    public function view(UserPolicy $user, Jobs2018 $jobs2018)
    {
        if ($user->canDo('test.jobs2018.view') && $user->isAdmin()) {
            return true;
        }

        return $jobs2018->user_id == user_id() && $jobs2018->user_type == user_type();
    }

    /**
     * Determine if the given user can create a jobs2018.
     *
     * @param UserPolicy $user
     * @param Jobs2018 $jobs2018
     *
     * @return bool
     */
    public function create(UserPolicy $user)
    {
        return  $user->canDo('test.jobs2018.create');
    }

    /**
     * Determine if the given user can update the given jobs2018.
     *
     * @param UserPolicy $user
     * @param Jobs2018 $jobs2018
     *
     * @return bool
     */
    public function update(UserPolicy $user, Jobs2018 $jobs2018)
    {
        if ($user->canDo('test.jobs2018.edit') && $user->isAdmin()) {
            return true;
        }

        return $jobs2018->user_id == user_id() && $jobs2018->user_type == user_type();
    }

    /**
     * Determine if the given user can delete the given jobs2018.
     *
     * @param UserPolicy $user
     * @param Jobs2018 $jobs2018
     *
     * @return bool
     */
    public function destroy(UserPolicy $user, Jobs2018 $jobs2018)
    {
        return $jobs2018->user_id == user_id() && $jobs2018->user_type == user_type();
    }

    /**
     * Determine if the given user can verify the given jobs2018.
     *
     * @param UserPolicy $user
     * @param Jobs2018 $jobs2018
     *
     * @return bool
     */
    public function verify(UserPolicy $user, Jobs2018 $jobs2018)
    {
        if ($user->canDo('test.jobs2018.verify')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given jobs2018.
     *
     * @param UserPolicy $user
     * @param Jobs2018 $jobs2018
     *
     * @return bool
     */
    public function approve(UserPolicy $user, Jobs2018 $jobs2018)
    {
        if ($user->canDo('test.jobs2018.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the user can perform a given action ve.
     *
     * @param [type] $user    [description]
     * @param [type] $ability [description]
     *
     * @return [type] [description]
     */
    public function before($user, $ability)
    {
        if ($user->isSuperuser()) {
            return true;
        }
    }
}
