<?php

namespace Test\Test\Workflow;

use Test\Test\Models\Jobs2018;
use Test\Test\Notifications\Jobs2018Workflow as Jobs2018Notifyer;
use Notification;

class Jobs2018Notification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Jobs2018 $jobs2018
     *
     * @return void
     */
    public function complete(Jobs2018 $jobs2018)
    {
        return Notification::send($jobs2018->user, new Jobs2018Notifyer($jobs2018, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Jobs2018 $jobs2018
     *
     * @return void
     */
    public function verify(Jobs2018 $jobs2018)
    {
        return Notification::send($jobs2018->user, new Jobs2018Notifyer($jobs2018, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Jobs2018 $jobs2018
     *
     * @return void
     */
    public function approve(Jobs2018 $jobs2018)
    {
        return Notification::send($jobs2018->user, new Jobs2018Notifyer($jobs2018, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Jobs2018 $jobs2018
     *
     * @return void
     */
    public function publish(Jobs2018 $jobs2018)
    {
        return Notification::send($jobs2018->user, new Jobs2018Notifyer($jobs2018, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Jobs2018 $jobs2018
     *
     * @return void
     */
    public function archive(Jobs2018 $jobs2018)
    {
        return Notification::send($jobs2018->user, new Jobs2018Notifyer($jobs2018, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Jobs2018 $jobs2018
     *
     * @return void
     */
    public function unpublish(Jobs2018 $jobs2018)
    {
        return Notification::send($jobs2018->user, new Jobs2018Notifyer($jobs2018, 'unpublish'));;

    }
}
